### Enumeration

# GLib IOCondition

since: 2.0

#### Declaration

    flags GLib.IOCondition

#### Description

A bitwise combination representing a condition to watch for on an event source.

Available since: 2.0

#### Members

`G_IO_IN`

  There is data to read.

  - Value: `1`
  - Nickname: `in`
  - Available since: 2.0
`G_IO_OUT`

  Data can be written (without blocking).

  - Value: `4`
  - Nickname: `out`
  - Available since: 2.0
`G_IO_PRI`

  There is urgent data to read.

  - Value: `2`
  - Nickname: `pri`
  - Available since: 2.0
`G_IO_ERR`

  Error condition.

  - Value: `8`
  - Nickname: `err`
  - Available since: 2.0
`G_IO_HUP`

  Hung up (the connection has been broken, usually for pipes and sockets).

  - Value: `16`
  - Nickname: `hup`
  - Available since: 2.0
`G_IO_NVAL`

  Invalid request. The file descriptor is not open.

  - Value: `32`
  - Nickname: `nval`
  - Available since: 2.0